#
# spec file for package qpdfview
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qpdfview
Version:        0.4
Release:        1.1
License:        GPL-2.0+
Summary:        Tabbed PDF Viewer
Url:            https://launchpad.net/qpdfview
Group:          Productivity/Publishing/PDF
Source:         %{name}-%{version}.tar.bz2
Patch0:         qpdfview-0.3.5-desktop.patch
BuildRequires:  gcc-c++ file-devel cups-devel hicolor-icon-theme pkgconfig(poppler-qt4) pkgconfig(libspectre) pkgconfig(QtGui) pkgconfig(QtSql) pkgconfig(QtDBus) pkgconfig(zlib)

%if 0%{!?centos_version:1}
BuildRequires:  pkgconfig(ddjvuapi)
%endif

%if 0%{?suse_version}
Requires:       libqt4-sql-sqlite
BuildRequires:  fdupes rsvg-view update-desktop-files
%endif

%if 0%{?centos_version}
Requires:       qt-sqlite
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
qpdfview is a tabbed PDF viewer. It uses the Poppler library for rendering
and CUPS for printing. It provides a clear and simple graphical user interface
using the Qt framework.

%prep
%setup -q
%patch0

%build
`pkg-config --variable=exec_prefix QtCore`/bin/qmake \
    QMAKE_CFLAGS+="%{optflags}" \
    QMAKE_CXXFLAGS+="%{optflags}" \
    QMAKE_STRIP="" \
    PLUGIN_INSTALL_PATH="%{_libdir}/%{name}" \
    DATA_INSTALLPATH="%{_datadir}/%{name}" \
%if 0%{?centos_version}
    CONFIG+=without_djvu \
%endif
    qpdfview.pro

make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

# Install icons of various sizes into hicolor-theme directory.
install -Dm 0644 icons/%{name}.svg \
    %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%if 0%{?suse_version}
for s in 256 128 96 64 48 32 22 16 ; do
install -dm 0755 \
    %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
rsvg-convert -w ${s} -h ${s} icons/%{name}.svg -o \
    %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/%{name}.png
done
%fdupes -s %{buildroot}%{_datadir}/
%find_lang %{name} --with-qt
%suse_update_desktop_file %{name}
%endif

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc CHANGES CONTRIBUTORS COPYING README TODO

%{_bindir}/%{name}

%{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}_pdf.so
%{_libdir}/%{name}/lib%{name}_ps.so
%if 0%{!?centos_version:1}
%{_libdir}/%{name}/lib%{name}_djvu.so
%endif

%{_datadir}/%{name}/
%{_datadir}/%{name}/*.qm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*

%doc %{_mandir}/man?/*

%changelog
* Fri Mar 08 2013 Shawn W Dunn <sfalken@fuduntu.org> - 0.4-1.1
- Built for Fuduntu

* Mon Feb 25 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 0.4-1.1
- Built for Fuduntu

* Sat Feb 16 2013 adamreichold@myopera.com
- New upstream version.
- Added libspectre and DjVuLibre dependencies.
* Sat Dec 29 2012 adamreichold@myopera.com
- New upstream version.
- Added SQLite dependency.
* Sun Nov 25 2012 adamreichold@myopera.com
- New upstream version.
- Switched source service "tar_scm" from Git to Bazaar.
  Mon Oct 15 - ti.eugene@gmail.com
- next version - 0.3.5.
  Tue Sep 18 - ti.eugene@gmail.com
- next version - 0.3.4.
- Added qt* and poppler patches.
* Sun Aug  5 2012 lazy.kent@opensuse.org
- Initial package created - 0.3.2.
- Add qpdfview-0.3.2-desktop.patch: fix desktop file.
